package com.jeeplus.modules.sg.mapper;

import com.jeeplus.core.persistence.annotation.MyBatisMapper;
import com.jeeplus.modules.sg.entity.JkxlData;
import com.jeeplus.modules.sg.entity.RuleRatio;
import com.jeeplus.modules.sg.entity.TzData;
import com.jeeplus.modules.sg.entity.WbsProject;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@MyBatisMapper
public interface JkxlMapper {
    RuleRatio getValue(String ratioName);
    List<JkxlData> getList(String id);
    JkxlData getData(@Param("id")String id,@Param("wbsCode")String wbsCode);
    void save(JkxlData jkxlData);
    void saveProject(WbsProject project);
    List<JkxlData> findList(String id);
    void updateDate(JkxlData jkxlData);

    List<TzData> getTzFee(TzData tzData);
    void updateTzFee(TzData tzData);
    void saveTzFee(TzData tzData);
}
